#ifndef _FUNCTIONS_H_
#define _FUNCTIONS_H_

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <string.h>

#define BUFFER_SIZE 128

typedef struct ip_ {
    int hop;
    int measures;
    int size_step;
    int measures_success;
    float rtt[20];
    char address[18];
    struct ip_ *next;
} ip_addr, *pip_addr;

pip_addr CreateIP(void);

void ShowIP(pip_addr pip);

int compare(const void *a, const void *b);

float median(float *array);

char *remove_nl(char *str);

#endif
